package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

/**
 * @author nianchang
 * @ClassName OrderCommentDetailsDTO
 * @date 2021/04/06 3:45 下午
 */
public class OrderCommentDetailsDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 评论类型
     */
    private Integer commentType;

    /**
     * 评论分数
     */
    private Integer commentScore;

    /**
     * 评论名称
     */
    private String commentName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getCommentName() {
        return commentName;
    }

    public void setCommentName(String commentName) {
        this.commentName = commentName;
    }

    public Integer getCommentType() {
        return commentType;
    }

    public void setCommentType(Integer commentType) {
        this.commentType = commentType;
    }

    public Integer getCommentScore() {
        return commentScore;
    }

    public void setCommentScore(Integer commentScore) {
        this.commentScore = commentScore;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
